Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pagecompile
Class GeneratedClassLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--org.w3c.jigsaw.pagecompile.GeneratedClassLoader

public class GeneratedClassLoader
extends java.lang.ClassLoader

Constructor Summary
`protected` | `GeneratedClassLoader(java.io.File generatedClassDirectory)`
`protected` | `GeneratedClassLoader(GeneratedClassLoader loader)`

Method Summary
`protected void` | `checkPackageAccess(java.lang.String name)`
`protected boolean` | `classChanged(java.lang.String name)`
`protected java.lang.Class` | `getCachedClass(java.lang.String name, boolean resolve)` Get a cached class.
`protected java.lang.Class` | `getNewClass(java.io.File classfile, java.lang.String name, boolean resolve)` Get a new class.
`java.net.URL` | `getResource(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)` Get a resource as a stream.
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)` Load a class.
`protected java.lang.Class` | `loadClassFile(java.io.File file)` Load a Class from its class file..
`protected java.io.File` | `locateClass(java.lang.String name)` Given the class name, return its File name.

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratedClassLoader

    protected GeneratedClassLoader(GeneratedClassLoader loader)

### GeneratedClassLoader

    protected GeneratedClassLoader(java.io.File generatedClassDirectory)

Method Detail

### classChanged

    protected boolean classChanged(java.lang.String name)

### getCachedClass

    protected final java.lang.Class getCachedClass(java.lang.String name,
                                                   boolean resolve)
                                            throws java.lang.ClassNotFoundException

  Get a cached class.
  Returns:
    a Class instance
  Throws:
    java.lang.ClassNotFoundException - if the Class can't be found

### checkPackageAccess

    protected void checkPackageAccess(java.lang.String name)

### locateClass

    protected java.io.File locateClass(java.lang.String name)

  Given the class name, return its File name.
  Parameters:
    `name` - The class to be loaded.
  Returns:
    The File for the class.

### loadClassFile

    protected java.lang.Class loadClassFile(java.io.File file)
                                     throws java.lang.ClassNotFoundException

  Load a Class from its class file..
  Returns:
    a Class instance
  Throws:
    java.lang.ClassNotFoundException - if the Class can't be found

### getNewClass

    protected final java.lang.Class getNewClass(java.io.File classfile,
                                                java.lang.String name,
                                                boolean resolve)
                                         throws java.lang.ClassNotFoundException

  Get a new class.
  Returns:
    a Class instance
  Throws:
    java.lang.ClassNotFoundException - if the Class can't be found

### loadClass

    protected java.lang.Class loadClass(java.lang.String name,
                                        boolean resolve)
                                 throws java.lang.ClassNotFoundException

  Load a class.
  Overrides:
    loadClass in class java.lang.ClassLoader
  Returns:
    a Class instance
  Throws:
    java.lang.ClassNotFoundException - if the Class can't be found

### getResource

    public java.net.URL getResource(java.lang.String name)

  Overrides:
    getResource in class java.lang.ClassLoader

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

  Get a resource as a stream.
  Overrides:
    getResourceAsStream in class java.lang.ClassLoader
  Parameters:
    `name` - The name of the resource to locate.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD